package com.qmth.themis.business.bean.admin;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.entity.TBOrg;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 考情监控-人数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/19
 */
public class ExaminationMonitorCountBean implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "机构代码，通常用学校简称表示，全局唯一")
    private String code;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(name = "在线人数")
    private Long onlineCount = 0L;

    @ApiModelProperty(name = "待考人数")
    private Long waitingCount = 0L;

    @ApiModelProperty(name = "考试中人数")
    private Long examingCount = 0L;

//	@ApiModelProperty(name = "通讯故障人数")
//	private Long exceptionCount;

    @ApiModelProperty(name = "预警人数")
    private Long warnCount = 0L;

    @ApiModelProperty(name = "违纪人数")
    private Long breachCount = 0L;

//	@ApiModelProperty(name = "机构在线考试人数")
//	private List<Map<String, Object>> orgExamingCount;

    public ExaminationMonitorCountBean() {

    }

    public ExaminationMonitorCountBean(Long id, String name, String code) {
        this.id = id;
        this.name = name;
        this.code = code;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getBreachCount() {
        return breachCount;
    }

    public void setBreachCount(Long breachCount) {
        this.breachCount = breachCount;
    }

    public Long getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Long onlineCount) {
        this.onlineCount = onlineCount;
    }

    public Long getWaitingCount() {
        return waitingCount;
    }

    public void setWaitingCount(Long waitingCount) {
        this.waitingCount = waitingCount;
    }

    public Long getExamingCount() {
        return examingCount;
    }

    public void setExamingCount(Long examingCount) {
        this.examingCount = examingCount;
    }

//	public Long getExceptionCount() {
//		return exceptionCount;
//	}

//	public void setExceptionCount(Long exceptionCount) {
//		this.exceptionCount = exceptionCount;
//	}

    public Long getWarnCount() {
        return warnCount;
    }

    public void setWarnCount(Long warnCount) {
        this.warnCount = warnCount;
    }

//	public List<Map<String, Object>> getOrgExamingCount() {
//		return orgExamingCount;
//	}

//	public void setOrgExamingCount(List<Map<String, Object>> orgExamingCount) {
//		this.orgExamingCount = orgExamingCount;
//	}
}
